from ..mautic import MauticHelper
from django_cron import CronJobBase, Schedule


class MyCronJob(CronJobBase):
    RUN_EVERY_MINS = 60 # every 2 hours

    schedule = Schedule(run_every_mins=RUN_EVERY_MINS)
    code = 'aitrainer_backoffice.controlling.cron'    # a unique code

    def do(self):
        sync_customers()    # do your thing here


def sync_customers():
    helper = MauticHelper()
    helper.syncTrial()